%!TEX root=../../../../thesis.tex
%!TEX file=content/spatial-dynamics/bases-functions/bezier/natural-frequencies.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsection{Natural Frequencies}\label{sec:spatial-dynamics:bases-functions:bezier:natural-frequencies}

%% bezier with varying degree
\begin{figure}[tbp]
  \centering
  \smaller[1]
  \tikzexternalenable%
  \tikzsetnextfilename{cosserat-rod--bezier--natural-frequencies--tension-free}
  \includegraphics[%
      % width=\linewidth,%
    ]{cosserat-rod/bezier/natural-frequencies/tension-free}
  \tikzexternaldisable%
  \caption{%
    Natural frequencies of the \Bezier cable with global polynomial {degree {$\polydeg \in \numset{3;4;12;20}$}} compared to natural frequencies of the tension-free beam.%
  }
  \label{fig:spatial-dynamics:bases-functions:bezier:natural-frequencies:varying-degree}
\end{figure}

With the global polynomial degree~$\polydeg$ of the \beziercurve being the only \gls{DOF} of the system\footnote{One may argue that it is not necessary to use the same polynomial degree for all Cartesian axes.}, it is the only parameter that affects the quality of the model.
Intuitively one assumes higher polynomial degree to achieve better approximation of the natural frequencies of the simply-supported beam, which is true to some extend.
The relative differences between predicated natural frequencies and those of the simply-supported beam decrease with increasing polynomial degree~(see~\cref{fig:spatial-dynamics:bases-functions:bezier:natural-frequencies:varying-degree}), however, this only holds true for the first~$5$ natural frequencies when polynomial degree~$\polydeg = 20$.
Higher natural frequencies being being overestimated in the range of~$\Delta \naturalfrequency \lessapprox \SI{2}{\radian\per\second}$ as the polynomial degree outgrows~$\polydeg \geq 8$.
In absolute values, this equals a doubling of the predicted natural frequency.
While these higher order natural frequencies are of little interest to the simulation of \caros, over estimation with factor of~$2$ is still an undesirable effect, especially since high-frequency vibrations are induced where physically none exist.

\begin{figure}[tbp]
  \centering
  \smaller[1]
  \tikzexternalenable%
  \tikzsetnextfilename{cosserat-rod--bezier--natural-frequencies--varying-tension}
  \includegraphics[%
      % width=\linewidth,%
    ]{cosserat-rod/bezier/natural-frequencies/varying-tension}
  \tikzexternaldisable%
  \caption{%
    Natural frequencies of the \Bezier cable with global polynomial degree~$\polydeg = 20$ compared to natural frequencies of the axially loaded beam with tension varying in~${\tension_{\ms{axial}} \in \SIset{0;100;1500;3000}{\newton}}$.%
  }
  \label{fig:spatial-dynamics:bases-functions:bezier:natural-frequencies:varying-tension}
\end{figure}

Selecting a polynomial degree~$\polydeg = 20$ provides good approximation of the first~$13$ modes with a maximum underestimation of~$\SI{-6}{\percent}$, letting us choose this degree for assessing the approximation of natural frequencies of the axially loaded beam.
Depicted in~\cref{fig:spatial-dynamics:bases-functions:bezier:natural-frequencies:varying-tension}, a convergence of the approximation error for increasing axial tensions can be constituted.
In particular, the range of approximation error decreases with increasing axial stress, with only the higher-order natural frequencies being overestimated.
Lower-order frequencies up to mode~$13$ are being underesimated at maximum relative error of~$\SI{-3}{\percent}$, while modes~$14$ and~$15$ error in between~$\SI{4.5}{\percent}$ and~$\SI{5.9}{\percent}$, respectively.
Natural frequencies above mode~$16$ are over estimated at more than~$\SI{30}{\percent}$, allowing for no reliable statement of accuracy.
